﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HeuristicLab.Core;
using HeuristicLab.Common;

namespace HeuristicLab.Problems.MetaOptimization {
  // todo: storable, name, descr, ...
  public class RootValueConfiguration : ValueConfiguration {

    public RootValueConfiguration(IItem value, Type valueDataType) : base(value, valueDataType) {
      this.Optimize = true; // root must always be optimized
    }
    public RootValueConfiguration() { }
    protected RootValueConfiguration(RootValueConfiguration original, Cloner cloner) : base(original, cloner) {
    }
    public override IDeepCloneable Clone(Cloner cloner) {
      return new RootValueConfiguration(this, cloner);
    }
  }
}
